Subject: Re: [PATCH v2 00/29] [Set 1,2,3] Rid W=1 warnings in Wireless

From: Lee Jones <[email-masked]>
Date: Tue, 6 Oct 2020 07:56:17 +0100

On Tue, 06 Oct 2020, Kalle Valo wrote:

> Lee Jones <[email-masked]> writes:
> 
> > On Thu, 10 Sep 2020, Lee Jones wrote:
> >
> >> This is a rebased/re-worked set of patches which have been
> >> previously posted to the mailing list(s).
> >> 
> >> This set is part of a larger effort attempting to clean-up W=1
> >> kernel builds, which are currently overwhelmingly riddled with
> >> niggly little warnings.
> >> 
> >> There are quite a few W=1 warnings in the Wireless.  My plan
> >> is to work through all of them over the next few weeks.
> >> Hopefully it won't be too long before drivers/net/wireless
> >> builds clean with W=1 enabled.
> >> 
> >> Lee Jones (29):
> >>   iwlwifi: dvm: Demote non-compliant kernel-doc headers
> >>   iwlwifi: rs: Demote non-compliant kernel-doc headers
> >>   iwlwifi: dvm: tx: Demote non-compliant kernel-doc headers
> >>   iwlwifi: dvm: lib: Demote non-compliant kernel-doc headers
> >>   iwlwifi: calib: Demote seemingly unintentional kerneldoc header
> >>   wil6210: Fix a couple of formatting issues in 'wil6210_debugfs_init'
> >>   iwlwifi: dvm: sta: Demote a bunch of nonconformant kernel-doc headers
> >>   iwlwifi: mvm: ops: Remove unused static struct 'iwl_mvm_debug_names'
> >>   iwlwifi: dvm: Demote a couple of nonconformant kernel-doc headers
> >>   iwlwifi: mvm: utils: Fix some doc-rot
> >>   iwlwifi: dvm: scan: Demote a few nonconformant kernel-doc headers
> >>   iwlwifi: dvm: rxon: Demote non-conformant kernel-doc headers
> >>   iwlwifi: mvm: tx: Demote misuse of kernel-doc headers
> >>   iwlwifi: dvm: devices: Fix function documentation formatting issues
> >>   iwlwifi: iwl-drv: Provide descriptions debugfs dentries
> >>   wil6210: wmi: Fix formatting and demote non-conforming function
> >>     headers
> >>   wil6210: interrupt: Demote comment header which is clearly not
> >>     kernel-doc
> >>   wil6210: txrx: Demote obvious abuse of kernel-doc
> >>   wil6210: txrx_edma: Demote comments which are clearly not kernel-doc
> >>   wil6210: pmc: Demote a few nonconformant kernel-doc function headers
> >>   wil6210: wil_platform: Demote kernel-doc header to standard comment
> >>     block
> >>   wil6210: wmi: Correct misnamed function parameter 'ptr_'
> >>   ath6kl: wmi: Remove unused variable 'rate'
> >>   ath9k: ar9002_initvals: Remove unused array
> >>     'ar9280PciePhy_clkreq_off_L1_9280'
> >>   ath9k: ar9001_initvals: Remove unused array 'ar5416Bank6_9100'
> >>   ath9k: ar5008_initvals: Remove unused table entirely
> >>   ath9k: ar5008_initvals: Move ar5416Bank{0,1,2,3,7} to where they are
> >>     used
> >>   brcmsmac: phytbl_lcn: Remove unused array 'dot11lcn_gain_tbl_rev1'
> >>   brcmsmac: phy_lcn: Remove unused variable
> >>     'lcnphy_rx_iqcomp_table_rev0'
> >
> > What's happening with all of these iwlwifi patches?
> >
> > Looks like they are still not applied.
> 
> Luca (CCed) takes iwlwifi patches to his iwlwifi tree.

Thanks Kalle.

Luca,

  Do you know why these patches have not been applied yet?  Do you
plan on applying them this week?  -rc1 is not due for release for
nearly 3 weeks now that Linus tagged an -rc8.

-- 
Lee Jones [李琼斯]
Senior Technical Lead - Developer Services
Linaro.org │ Open source software for Arm SoCs
Follow Linaro: Facebook | Twitter | Blog